Subject: bug#58412: 29.0.50; --with-x-toolkit=athena causes too small emacs window

From: Uwe Brauer <[email-masked]>
Date: Tue, 11 Oct 2022 19:54:09 +0200

>>> "PL" == Po Lu <[email-masked]> writes:

> Uwe Brauer <[email-masked]> writes:
>> Ok, sigh, I was afraid of that, but fair enough, and currently master
>> has some nice new exiting features I would like to test.

> BTW, screwing around with the Kwin in Trinity did not result in the bug
> for me, so it would be nice if you could bisect for that as well.

I found it, *you* are the culprit 😉

It is commit  136495f178cc

* commit 136495f178ccd36b23ffc347fe2b6680fd689e34
│  Author: Po Lu <[email-masked]>
│  Date: Wed, 31 Aug 2022 10:17:20 +0800
│
│  Gently nudge Xt into always setting size hints
│
│  * src/widget.c (update_wm_hints): Force a resource to change
│  every time this function is called.  (bug#57475)
│  (EmacsFrameInitialize): Initialize new field.
│  * src/widgetprv.h (EmacsFramePart): New field `size_switch'.
│  * src/xterm.c (x_wm_set_size_hint): Don't change flags if flags
│  is 0.

That causes the problem with and without athena. So it is responsible
for both problems.

I hope that can be solved.

-- 
I strongly condemn Putin's war of aggression against the Ukraine.
I support to deliver weapons to Ukraine's military. 
I support the ban of Russia from SWIFT.
I support the EU membership of the Ukraine.